Bug 1231721 - qscintilla-qt5: Missing symbol for designer-qt4 and designer-qt5 after fedup upgrade (21 -> 22)
Summary: qscintilla-qt5: Missing symbol for designer-qt4 and designer-qt5 after fedup ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qscintilla
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 09:53 UTC by boucaron
Modified: 2015-06-30 00:10 UTC (History)
2 users (show)

Fixed In Version: qscintilla-2.8.4-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:02:21 UTC
Type: Bug


Attachments (Terms of Use)

Description boucaron 2015-06-15 09:53:26 UTC
Description of problem:

Launch designer-qt5 or designer-qt4

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
[boucaron@boucaron-i7 3dpsl]$ designer-qt5
designer-qt5: symbol lookup error: /usr/lib64/qt5/plugins/designer/libqscintillaplugin.so: undefined symbol: _ZN13QsciScintillaC1EP7QWidget
[boucaron@boucaron-i7 3dpsl]$ designer-qt4
designer-qt4: symbol lookup error: /usr/lib64/qt4/plugins/designer/libqscintillaplugin.so: undefined symbol: _ZN13QsciScintillaC1EP7QWidget
[boucaron@boucaron-i7 3dpsl]$ 

Actual results:


Expected results:


Additional info:

Strange date for the plugin after the upgrade

[boucaron@boucaron-i7 3dpsl]$ ls -ltr /usr/lib64/qt5/plugins/designer/
total 240
-rwxr-xr-x. 1 root root 32512 28 févr. 00:44 libpyqt5.so
-rwxr-xr-x. 1 root root 24368 26 avril 20:58 libqscintillaplugin.so
-rwxr-xr-x. 1 root root 28576  4 juin  11:25 libworldtimeclockplugin.so
-rwxr-xr-x. 1 root root 45864  4 juin  11:25 libtaskmenuextension.so
-rwxr-xr-x. 1 root root 20232  4 juin  11:25 libqquickwidget.so
-rwxr-xr-x. 1 root root 28520  4 juin  11:25 libcustomwidgetplugin.so
-rwxr-xr-x. 1 root root 41944  4 juin  11:25 libcontainerextension.so
-rwxr-xr-x. 1 root root 15928  4 juin  15:32 libqdeclarativeview.so

I tried to reinstall 

[boucaron@boucaron-i7 3dpsl]$ sudo dnf whatprovides /usr/lib64/qt5/plugins/designer/libqscintillaplugin.so
Last metadata expiration check performed 2:03:28 ago on Mon Jun 15 09:42:04 2015.
qscintilla-qt5-2.8.4-3.fc22.x86_64 : A Scintilla port to Qt5
Dépôt               : @System

qscintilla-qt5-2.8.4-3.fc22.x86_64 : A Scintilla port to Qt5
Dépôt               : fedora


But same result and the file with the strange date was not modified.

Workaround:

I remove it like a barbarian and now designer is opening fine
: sudo rm /usr/lib64/qt5/plugins/designer/libqscintillaplugin.so 

(After tried a reinstall but exactly the same file and same issue)

Comment 1 Rex Dieter 2015-06-16 15:12:29 UTC
Thanks, it would appear that qscintilla designer plugins aren't linking libqscintilla properly.  I'll try to figure out why today.

Comment 2 Rex Dieter 2015-06-16 15:37:35 UTC
http://pkgs.fedoraproject.org/cgit/qscintilla.git/commit/?h=f22&id=0d2607764e1743bb6490eef0950770af7ace5f42

fix libqscintillaplugin.so linkage (#1231721)f22f21

workaround bug exposed in definition of qmake_qt4 qmake_qt5 macros
where
ENV_VAR=foo %%qmake_qt4
doesn't work as expected.

Comment 3 Fedora Update System 2015-06-16 16:10:31 UTC
qscintilla-2.8.4-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qscintilla-2.8.4-4.fc22

Comment 4 Fedora Update System 2015-06-16 16:11:10 UTC
qscintilla-2.8.4-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qscintilla-2.8.4-4.fc21

Comment 5 Fedora Update System 2015-06-21 00:14:02 UTC
Package qscintilla-2.8.4-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qscintilla-2.8.4-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10383/qscintilla-2.8.4-4.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-30 00:02:21 UTC
qscintilla-2.8.4-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-06-30 00:10:52 UTC
qscintilla-2.8.4-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.